## python-sphinx-code-include 1.1.1

=== requirements.txt ===
beautifulsoup4>=4.8
six>=1.12
sphinx>=1.3

=== debian/changelog ===
python-sphinx-code-include (1.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1047292).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:41:58 +0200

python-sphinx-code-include (1.1.1-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Mar 2023 10:29:00 +0100

python-sphinx-code-include (1.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1032269)

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 13:56:43 +0100

=== debian/control ===
Source: python-sphinx-code-include
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Build-Depends-Indep:
 python3-bs4,
 python3-six,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-sphinx-code-include
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-sphinx-code-include.git
Homepage: https://github.com/ColinKennedy/sphinx-code-include

Package: python3-sphinx-code-include
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sphinx-code-include-doc,
Description: include source code from any Sphinx project using only its import path
 Sphinx-code-include is an extension for Sphinx that lets you render
 source-code of any class or function directly into your Sphinx documentation
 using only as string.

Package: python-sphinx-code-include-doc
Section: doc
Architecture: all
Depends:
 python3-bs4,
 python3-six,
 python3-sphinx,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: include source code from any Sphinx project using only its import path - doc
 Sphinx-code-include is an extension for Sphinx that lets you render
 source-code of any class or function directly into your Sphinx documentation
 using only as string.
 .
 This package contains the documentation.

## python-sphinx-code-include 2.0.0

=== requirements.txt ===
beautifulsoup4>=4.8
sphinx>=1.3

=== debian/changelog ===
python-sphinx-code-include (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebased no-intersphinx.patch.
  * Rebased remove-broken-tests.patch.
  * Rebased remove-privacy-breach.patch.
  * Add fix-tests-common.py.patch (Closes: #1114333).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 14:35:31 +0200

python-sphinx-code-include (1.1.1-4) unstable; urgency=medium

  * Fix depends (Closes: #1088703).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 14:32:51 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,9 @@
 Package: python3-sphinx-code-include
 Architecture: all
 Depends:
+ python3-bs4,
+ python3-six,
+ python3-sphinx,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
@@ -38,9 +41,6 @@
 Section: doc
 Architecture: all
 Depends:
- python3-bs4,
- python3-six,
- python3-sphinx,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: include source code from any Sphinx project using only its import path - doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ColinKennedy/sphinx-code-include
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=sphinx-code-include

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr src/*.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`pwd`/src python3 -m sphinx -b html docs debian/python-sphinx-code-include-doc/usr/share/doc/python-sphinx-code-include-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinx-code-include/sphinx-code-include-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
